// The ANTiDISTRACTION device
// Created by Guershom Kitsa, Yena Lee, John Shen, and Nicole Zsoter

/* Run this code (with the machine plugged in to your computer) to rotate
 *   the motor by a given number of steps.
 * Open Serial Monitor (ctrl+shift+M), type a number in the text field, and press enter.
 */

#include <Stepper.h>
int stepsPerRev = 2048; // adjust by trial and error to equal a 360-degree turn
Stepper stepperMotor = Stepper(stepsPerRev, 8, 10, 9, 11);

void setup() {
   stepperMotor.setSpeed(13); // in revs. per min.
   Serial.begin(9600);
   Serial.println("Type a number in the text field above to rotate the motor by that number of steps\n");
}

void loop() {
  if (Serial.available() > 0) {
    int num = Serial.parseInt();
    if (Serial.read() == '\n') {
      Serial.print("Rotating ");Serial.print(num);Serial.println(" steps");
      stepperMotor.step(num);
    }
  }
  
  delay(100);
}
